Get Billing Order Using GET 1
This request returns a single monthly billing order identified by order id.
Pre-authorized roles: Operations, Read Only
Request
URI
GET
https://{api_host}//vcp.vmware.com/api/provider/v1/billingOrders/{orderId}
COPY
Path Parameters
string
orderId
Required
Billing order id
orderId example
f6bc69ec-xxxx-xxxx-xxxx-eeafc4a7e0bb
Responses
200
Summary for different product families.
| Properties | MSP | VELO | Rental & Others(SOV, ISV, etc) |
| ------------ | --- | ---- | ------------------------------ |
| minimumCommit | * | | * |
| reported | * | | * |
| overage | * | | * |
| underage | * | | * |
| total | * | | * |
| listPrice | * | * | |
| sellingPrice | * | * | |
| discount | * | * | |
Returns
SimpleBillingOrder
of type(s)
application/json
{
"id": "f6bc69ec-xxxx-xxxx-xxxx-eeafc4a7e0bb",
"contract": {
"id": "630c2f68-xxxx-xxxx-xxxx-61f8245eaca1",
"status": "ACTIVE",
"contractReferenceNumber": "AMER1111RENTAL",
"contractSKU": {
"code": "VSPP3-1800-C",
"contractType": "PAY-GO",
"productFamily": {
"name": "Rental Commercial",
"code": "RENTAL",
"type": "RENTAL"
}
},
"currency": "USD"
},
"usagePeriod": "2022-06",
"autoReportType": "AUTOMATED",
"serviceProviderPurchaseOrder": "VMW202206",
"status": "CLOSED",
"orderNumber": 1111111,
"summary": {
"minimumCommit": 1800,
"reported": "number",
"overage": "number",
"underage": 1800,
"total": 1800,
"listPrice": "number",
"sellingPrice": "number",
"discount": "number"
},
"closedTime": "2022-07-02T00:00:00Z"
}
string
id
Optional
id
string
usagePeriod
Optional
usagePeriod
string
autoReportType
Optional
autoReportType
Possible values are :
AUTOMATED,
NONE,
FIXED,
string
serviceProviderPurchaseOrder
Optional
Purchase order from cloud services provider of the billing order
string
status
Optional
status
Possible values are :
NOT_OPEN,
PENDING_SP,
PENDING_AGGREGATOR,
PENDING_APPROVAL,
PENDING_VENDOR_REFUND,
PENDING_VENDOR,
CLOSED,
REJECTED,
CANCELLED,
string
orderNumber
Optional
orderNumber
string As date-time
As date-time
closedTime
Optional
closedTime
400
Bad Request
Operation doesn't return any data structure
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Operation doesn't return any data structure
404
Billing order not found
Operation doesn't return any data structure